summaryrefslogtreecommitdiffstats
path: root/libraries/gdal
diff options
context:
space:
mode:
author Aleksandar Samardzic2010-05-11 20:00:46 +0200
committer Robby Workman2010-05-11 20:00:46 +0200
commitb934b98ab391442286517f65195e6ee34494e5f0 (patch)
tree72527f2d68c5330f9b4685c03e36f342ade30ae3 /libraries/gdal
parent6ab04aae9fceac4f9ed6b7c59cd4e7179354f5a8 (diff)
downloadslackbuilds-b934b98ab391442286517f65195e6ee34494e5f0.tar.gz
libraries/gdal: Added to 12.0 repository
Diffstat (limited to 'libraries/gdal')
-rw-r--r--libraries/gdal/README9
-rw-r--r--libraries/gdal/gdal.SlackBuild72
-rw-r--r--libraries/gdal/gdal.info8
-rw-r--r--libraries/gdal/slack-desc19
4 files changed, 108 insertions, 0 deletions
diff --git a/libraries/gdal/README b/libraries/gdal/README
new file mode 100644
index 0000000000..52ed56ef01
--- /dev/null
+++ b/libraries/gdal/README
@@ -0,0 +1,9 @@
+GDAL is a library for reading and writing raster geospatial data
+formats, and is released under an X/MIT style Open Source license by
+the Open Source Geospatial Foundation. As a library, it presents a
+single abstract data model to the calling application for all
+supported formats. It may also be built with a variety of useful
+command-line utilities for data translation and processing.
+
+The related OGR library (which is part of the GDAL source tree)
+provides a similar capability for simple features vector data.
diff --git a/libraries/gdal/gdal.SlackBuild b/libraries/gdal/gdal.SlackBuild
new file mode 100644
index 0000000000..0053299b49
--- /dev/null
+++ b/libraries/gdal/gdal.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for GDAL
+
+# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+
+PRGNAM=gdal
+VERSION=1.4.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ # Remove 'special' files
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COMMITERS HOWTO-RELEASE NEWS PROVENANCE.TXT VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/gdal/gdal.info b/libraries/gdal/gdal.info
new file mode 100644
index 0000000000..e22452a0e0
--- /dev/null
+++ b/libraries/gdal/gdal.info
@@ -0,0 +1,8 @@
+PRGNAM="gdal"
+VERSION="1.4.2"
+HOMEPAGE="http://www.gdal.org/"
+DOWNLOAD="http://download.osgeo.org/gdal/gdal-1.4.2.tar.gz"
+MD5SUM="dedf5ff6a766e85b9a2b5c54c1c59221"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="rworkman"
diff --git a/libraries/gdal/slack-desc b/libraries/gdal/slack-desc
new file mode 100644
index 0000000000..907ecb24b7
--- /dev/null
+++ b/libraries/gdal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gdal: GDAL (translator library for raster geospatial data formats)
+gdal:
+gdal: The Geospatial Data Abstraction Library (GDAL) is a unifying
+gdal: C/C++ API for accessing raster geospatial data, and currently
+gdal: includes formats like GeoTIFF, Erdas Imagine, Arc/Info Binary,
+gdal: CEOS, DTED, GXF, and SDTS.
+gdal:
+gdal: GDAL home page is:
+gdal: http://www.gdal.org/
+gdal:
+gdal: